<?php


/** Set ABSPATH for execution */
define( 'ABSPATH', dirname(dirname(__FILE__)) . '/' );
define( 'WPINC', 'wp-includes' );



function add_filter() {}
function esc_attr($str) {return $str;}
function apply_filters() {}
function get_option() {}
function is_lighttpd_before_150() {}
function add_action() {}
function did_action() {}
function do_action_ref_array() {}
function get_bloginfo() {}
function is_admin() {return true;}
function site_url() {}
function admin_url() {}
function home_url() {}
function includes_url() {}
function wp_guess_url() {}
if ( ! function_exists( 'json_encode' ) ) :
function json_encode() {}
endif;
/* Convert hexdec color string to rgb(a) string */
function hex2rgba($color, $opacity = false) {
	$default = 'rgb(0,0,0)';
	//Return default if no color provided
	if(empty($color))
          return $default; 
	//Sanitize $color if "#" is provided 
        if ($color[0] == '#' ) {
        	$color = substr( $color, 1 );
        }
 
        //Check if color has 6 or 3 characters and get values
        if (strlen($color) == 6) {
                $hex = array( $color[0] . $color[1], $color[2] . $color[3], $color[4] . $color[5] );
        } elseif ( strlen( $color ) == 3 ) {
                $hex = array( $color[0] . $color[0], $color[1] . $color[1], $color[2] . $color[2] );
        } else {
                return $default;
        }
 
        //Convert hexadec to rgb
        $rgb =  array_map('hexdec', $hex);
 
        //Check if opacity is set(rgba or rgb)
        if($opacity){
        	if(abs($opacity) > 1)
        		$opacity = 1.0;
        	$output = 'rgba('.implode(",",$rgb).','.$opacity.')';
        } else {
        	$output = 'rgb('.implode(",",$rgb).')';
        }
 
        //Return rgb(a) color string
        return $output;
}


$color = $_GET['main_color'];
$color2 = $_GET['main_color2'];




ob_start(); ?>
/*========== Color ====================*/


/*** 
=====================================================
	Theme Main Color Css
=====================================================
***/


{
	color:#<?php echo esc_attr( $color ); ?>!important;
}


/*** 
=====================================================
	Theme Main Background Color Css
=====================================================
***/

{
	background: #<?php echo esc_attr( $color ); ?>!important;
	background-color:#<?php echo esc_attr( $color ); ?>!important;
}


/*==============================================
   Theme Border Color Css
===============================================*/


{
    border-color: #<?php echo esc_attr( $color ); ?>!important;  
}

/*==============================================
   RGB
===============================================*/

.video-galler-outer-bg:before {
    background-color: <?php echo esc_attr( hex2rgba($color, 0.9));?>!important;
}
.main-slider .content h3:before{
    background: <?php echo esc_attr( hex2rgba($color, 0.4));?>!important;
}


/* template-color */

.handle-preloader{
	background: #<?php echo esc_attr( $color ); ?>;
}

.preloader-close{
	color: #<?php echo esc_attr( $color ); ?>;
}

.header-top .info li a:hover{
	color: #<?php echo esc_attr( $color2 ); ?>;
}

.header-top .social-links li a:hover{
	color: #<?php echo esc_attr( $color2 ); ?>;
}

.theme-btn.btn-one{
	background: #<?php echo esc_attr( $color2 ); ?>;
}

.main-header .outer-box .nav-right .search-box-outer:hover{
	color: #<?php echo esc_attr( $color2 ); ?>;
}

.main-menu .navigation > li.current > a,
.main-menu .navigation > li:hover > a{
  color: #<?php echo esc_attr( $color2 ); ?>;
}

.main-menu .navigation > li > ul,
.main-menu .navigation > li > .megamenu{
	border-top: 3px solid #<?php echo esc_attr( $color2 ); ?>;
}

.main-menu .navigation > li > ul > li > ul{
	border-top: 3px solid #<?php echo esc_attr( $color2 ); ?>;
}

.main-menu .navigation > li > ul > li > a:hover,
.main-menu .navigation > li > .megamenu li > a:hover{
	color: #<?php echo esc_attr( $color2 ); ?>;
}

.main-menu .navigation > li > ul > li > ul > li > a:hover{
  color: #<?php echo esc_attr( $color2 ); ?>;
}

.banner-carousel .content-box h3{
	color: #<?php echo esc_attr( $color ); ?>;
}

.banner-carousel .image-box .shape .shape-2{
	background: #<?php echo esc_attr( $color ); ?>;
}

.feature-block-one .inner-box h3 a:hover{
  color: #<?php echo esc_attr( $color ); ?>;
}

.image_block_one .image-box .text{
	background: #<?php echo esc_attr( $color ); ?>;
}

.list-style-one li:before{
	color: #<?php echo esc_attr( $color ); ?>;
}

.service-section .tab-btns li:before{
	background: #<?php echo esc_attr( $color2 ); ?>;
}

.service-section .tab-btns li:after{
	background: #<?php echo esc_attr( $color2 ); ?>;
}

.bg-color-2{
	background: #<?php echo esc_attr( $color ); ?>;
}

.banner-carousel .owl-nav button:hover{
  color: #<?php echo esc_attr( $color ); ?>;
}

.testimonial-block-one .inner-box .icon-box{
	color: #<?php echo esc_attr( $color2 ); ?>;
}

.dots-style-one .owl-dots .owl-dot.active span,
.dots-style-one .owl-dots .owl-dot span:hover{
	background: #<?php echo esc_attr( $color2 ); ?>;
}

.contact-section .support-box h3{
	color: #<?php echo esc_attr( $color ); ?>;
}

.contact-section .support-box h3 a{
	color: #<?php echo esc_attr( $color ); ?>;
}

.contact-section .form-inner h3 span{
  color: #<?php echo esc_attr( $color ); ?>;
}

.theme-btn.btn-two{
	background: #<?php echo esc_attr( $color ); ?>;
}

.default-form .form-group input:focus,
.default-form .form-group textarea:focus{
  border-color: #<?php echo esc_attr( $color ); ?> !important;
}

.scroll-top{
	background: #<?php echo esc_attr( $color ); ?>;
}

.team-block-one .inner-box .lower-content:before{
	background: #<?php echo esc_attr( $color2 ); ?>;
}

.cta-section .content-box .sec-title h2 span{
  color: #<?php echo esc_attr( $color2 ); ?>;
}

.cta-section .content-box .support-box .icon-box{
	background: #<?php echo esc_attr( $color ); ?>;
}

.cta-section .content-box .support-box h3 a:hover{
  color: #<?php echo esc_attr( $color ); ?>;
}

.project-block-one .inner-box .image-box{
	background: #<?php echo esc_attr( $color ); ?>;
}

.news-block-one .inner-box .lower-content .category a{
	color: #<?php echo esc_attr( $color ); ?>;
}

.news-block-one .inner-box .lower-content .category a:hover{
  background: #<?php echo esc_attr( $color ); ?>;
}

.news-block-one .inner-box .lower-content h3 a:hover{
  color: #<?php echo esc_attr( $color ); ?>;
}

.news-block-one .inner-box .lower-content .post-info li a:hover{
  color: #<?php echo esc_attr( $color ); ?>;
}

.news-block-one .inner-box .lower-content .link a:hover{
  color: #<?php echo esc_attr( $color ); ?>;
}

.google-map-section .content-box .title{
	background: #<?php echo esc_attr( $color ); ?>;
}

.google-map-section .content-box .info-list li a:hover{
  color: #<?php echo esc_attr( $color ); ?>;
}

.google-map-section .content-box .info-list li i{
	color: #<?php echo esc_attr( $color ); ?>;
}

.footer-top .top-inner .footer-menu li a:hover{
  color: #<?php echo esc_attr( $color ); ?>;
}

.main-footer .widget-section .about-widget .social-links li a:hover{
  border-color: #<?php echo esc_attr( $color ); ?>;
  background: #<?php echo esc_attr( $color ); ?>;
}

.main-footer .widget-section .links-widget .links-list li a:hover{
  color: #<?php echo esc_attr( $color ); ?>;
}

.main-footer .widget-section .contact-widget .info li a:hover{
  color: #<?php echo esc_attr( $color ); ?>;
}

.footer-bottom a:hover{
  color: #<?php echo esc_attr( $color ); ?>;
}

.header-style-two .header-top .info li i{
  color: #<?php echo esc_attr( $color ); ?>;
}

.header-style-two .header-top .social-links li a:hover{
	color: #<?php echo esc_attr( $color ); ?>;
}

.header-style-two .header-top .right-column .schedule i{
	color: #<?php echo esc_attr( $color ); ?>;
}

.banner-style-two .banner-carousel .content-box h3{
	color: #<?php echo esc_attr( $color2 ); ?>;
}

.feature-block-two .inner-box .icon-box{
	color: #<?php echo esc_attr( $color ); ?>;
}

.feature-block-two .inner-box:before{
	background: #<?php echo esc_attr( $color ); ?>;
}

.content_block_four .content-box .inner-box .single-item .icon-box{
	color: #<?php echo esc_attr( $color ); ?>;
}

.image_block_three .image-box .text{
	background: #<?php echo esc_attr( $color ); ?>;
}

.service-block-one .inner-box .lower-content .icon-box{
	background: #<?php echo esc_attr( $color ); ?>;
}

.service-block-one .inner-box .lower-content h3 a:hover{
  color: #<?php echo esc_attr( $color2 ); ?>;
}

.service-block-one .inner-box .lower-content .link a:hover{
  color: #<?php echo esc_attr( $color2 ); ?>;
}

.content_block_five .content-box .inner-box .single-item h4 a:hover{
	color: #<?php echo esc_attr( $color2 ); ?>;
}

.team-block-two .inner-box .share-box .share-links li a:hover{
  background: #<?php echo esc_attr( $color2 ); ?>;
}

.team-block-two .inner-box .share-box .share-icon:hover{
  background: #<?php echo esc_attr( $color2 ); ?>;
}

.team-block-two .inner-box .lower-content h3 a:hover{
	color: #<?php echo esc_attr( $color2 ); ?>;
}

.process-block-one .inner-box .image-box .count-text{
	background: #<?php echo esc_attr( $color ); ?>;
}

.progress-box .bar-inner{
	background: #<?php echo esc_attr( $color ); ?>;
}

.cta-section.alternat-2 .content-box .sec-title h2 span{
	color: #<?php echo esc_attr( $color ); ?>;
}

.consultancy-section .form-group input:focus{
  border-color: #<?php echo esc_attr( $color2 ); ?> !important;
}

.sec-title-two h5{
	color: #<?php echo esc_attr( $color ); ?>;
}

.service-block-two .inner-box .icon-box{
	color: #<?php echo esc_attr( $color2 ); ?>;
}

.service-block-two .inner-box .icon-box:before{
	background: #<?php echo esc_attr( $color2 ); ?>;
}

.service-block-two .inner-box h3 a:hover{
  color: #<?php echo esc_attr( $color2 ); ?>;
}

.service-block-two .inner-box .link-text a:hover{
  color: #<?php echo esc_attr( $color2 ); ?>;
}

.content_block_eight .content-box .single-item h4 a:hover{
  color: #<?php echo esc_attr( $color2 ); ?>;
}

.process-section.alternat-2 .process-block-one .inner-box .image-box .count-text{
  background: #<?php echo esc_attr( $color2 ); ?>;
}

.process-section.alternat-2 .process-block-one .inner-box .image-box .image:before{
	border: 2px dashed #<?php echo esc_attr( $color2 ); ?>;
}

.accordion-box .block .acc-btn.active{
	background: #<?php echo esc_attr( $color2 ); ?>;
}

.team-block-three .inner-box .lower-content .share-icon a{
	background: #<?php echo esc_attr( $color2 ); ?>;
}

.team-block-three .inner-box .lower-content .social-links li a{
	background: #<?php echo esc_attr( $color2 ); ?>;
}

.team-block-three .inner-box .lower-content h3 a:hover{
	color: #<?php echo esc_attr( $color2 ); ?>;
}

.skills-section.alternat-2 .progress-box .bar-inner{
	background: #<?php echo esc_attr( $color2 ); ?>;
}

.page-title .content-box .bread-crumb li{
	color: #<?php echo esc_attr( $color ); ?>;
}

.page-title .content-box .bread-crumb li a:hover{
  color: #<?php echo esc_attr( $color ); ?>;
}

.service-sidebar .category-list li a:hover,
.service-sidebar .category-list li a.current{
  color: #<?php echo esc_attr( $color ); ?>;
}

.service-sidebar .category-list li a:before{
	background: #<?php echo esc_attr( $color ); ?>;
}

.team-details-content .team-info .list li a:hover{
  color: #<?php echo esc_attr( $color2 ); ?>;
}

.team-details-content .team-info .social-link li a:hover{
  background: #<?php echo esc_attr( $color2 ); ?>;
  border-color: #<?php echo esc_attr( $color2 ); ?>;
}

.team-details-content .contact-box .form-inner .form-group input:focus,
.team-details-content .contact-box .form-inner .form-group textarea:focus{
  border-color: #<?php echo esc_attr( $color2 ); ?> !important;
}

.sortable-masonry .filter-tabs li.active,
.sortable-masonry .filter-tabs li:hover{
  background: #<?php echo esc_attr( $color2 ); ?>;
  border-color: #<?php echo esc_attr( $color2 ); ?>;
}

.shop-sidebar .search-widget .form-group input:focus + button,
.shop-sidebar .search-widget .form-group button:hover{
	color: #<?php echo esc_attr( $color2 ); ?>;
}

.shop-sidebar .search-widget .form-group input:focus{
  border-color: #<?php echo esc_attr( $color2 ); ?> !important;
}

.shop-sidebar .category-widget .category-list li a:hover{
  color: #<?php echo esc_attr( $color2 ); ?>;
}

.range-slider .ui-state-default, .range-slider .ui-widget-content .ui-state-default {
  background: #<?php echo esc_attr( $color ); ?>;
}

.range-slider .ui-slider .ui-slider-range{
	background: #<?php echo esc_attr( $color ); ?>;
}

.shop-sidebar .tags-widget .tags-list li a:hover{
  background: #<?php echo esc_attr( $color2 ); ?>;
}

.shop-page-section .item-shorting .left-column .btn-box button.on {
  color: #<?php echo esc_attr( $color ); ?>;
}

.shop-block-one .inner-box .image-box .hot{
	background: #<?php echo esc_attr( $color ); ?>;
}

.shop-block-one .inner-box .image-box .option-list li a:hover{
  background: #<?php echo esc_attr( $color2 ); ?>;
}

.shop-block-one .inner-box .lower-content h5 a:hover{
	color: #<?php echo esc_attr( $color2 ); ?>;
}

.pagination li a:hover,
.pagination li a.current{
  background: #<?php echo esc_attr( $color2 ); ?>;
}

.product-details-content .image-box .preview-link a:hover{
  background: #<?php echo esc_attr( $color2 ); ?>;
}

.product-details-content .product-details .addto-cart-box .clearfix li a:hover{
	background: #<?php echo esc_attr( $color ); ?>;
}

.shop-details .product-discription .tab-btn-box .tab-btns li:before{
	background: #<?php echo esc_attr( $color ); ?>;
}

.cart-section .cart-table tbody tr .prod-column .column-box .remove-btn:hover{
  background: #<?php echo esc_attr( $color ); ?>;
}

.cart-section .othre-content .coupon-box input:focus{
  border-color: #<?php echo esc_attr( $color2 ); ?> !important;
}

.checkout-section .payment-info .check-box label:after {
  background: #<?php echo esc_attr( $color2 ); ?>;
}

.checkout-section .billing-form .check-box input:checked + label:before {
  background: #<?php echo esc_attr( $color2 ); ?>;
  border-color: #<?php echo esc_attr( $color2 ); ?>;
}

.checkout-section .coupon-box a{
	color: #<?php echo esc_attr( $color ); ?>;
}

.checkout-section .billing-form .form-group input:focus{
	border-color: #<?php echo esc_attr( $color2 ); ?> !important;
}

.checkout-section .additional-info .note-book textarea:focus{
	border-color: #<?php echo esc_attr( $color2 ); ?> !important;
}

.faq-page-section .accordion-box .block .acc-btn.active{
  background: #<?php echo esc_attr( $color ); ?>;
}

.datepicker .ui-datepicker-header{
	background: #<?php echo esc_attr( $color ); ?>;
}

.appointment-section .check-box input:checked + label:before {
  background: #<?php echo esc_attr( $color2 ); ?>;
  border-color: #<?php echo esc_attr( $color2 ); ?>;
}

.appointment-section .form-inner .form-group input:focus,
.appointment-section .form-inner .form-group textarea:focus{
  border-color: #<?php echo esc_attr( $color2 ); ?> !important;
}

.blog-sidebar .search-widget .form-group input:focus + button,
.blog-sidebar .search-widget .form-group button:hover{
	color: #<?php echo esc_attr( $color2 ); ?>;
}

.blog-sidebar .search-widget .form-group input:focus{
	border-color: #<?php echo esc_attr( $color2 ); ?> !important;
}

.blog-sidebar .category-list li a:before{
	background: #<?php echo esc_attr( $color ); ?>;
}

.blog-sidebar .category-list li a:hover{
	color: #<?php echo esc_attr( $color ); ?>;
}

.blog-sidebar .post-widget .post h4 a:hover{
  color: #<?php echo esc_attr( $color ); ?>;
}

.blog-sidebar .post-widget .post .post-thumb {
    /* background: #<?php echo esc_attr( $color ); ?>; */
}

.blog-sidebar .archives-widget .archives-list li a:hover{
  color: #<?php echo esc_attr( $color ); ?>;
}

.blog-sidebar .tags-widget .tags-list li a:hover{
  background: #<?php echo esc_attr( $color2 ); ?>;
}

.blog-details-content .post-tags .tags-list li a:hover{
  background: #<?php echo esc_attr( $color2 ); ?>;
}

.blog-details-content .comments-form-area .form-group input:focus,
.blog-details-content .comments-form-area .form-group textarea:focus{
  border-color: #<?php echo esc_attr( $color2 ); ?> !important;
}

.blog-details-content .check-box input:checked + label:before {
  background: #<?php echo esc_attr( $color2 ); ?>;
  border-color: #<?php echo esc_attr( $color2 ); ?>;
}

.contact-info-section .single-item .icon-box{
	color: #<?php echo esc_attr( $color ); ?>;
}

.contact-info-section .single-item p a:hover{
  color: #<?php echo esc_attr( $color ); ?>;
}

.contact-style-two .form-inner .form-group input:focus,
.contact-style-two .form-inner .form-group textarea:focus{
  border-color: #<?php echo esc_attr( $color2 ); ?> !important;
}


.main-menu .navigation > li.current > a, .main-menu .navigation > li:hover > a {
    color: #<?php echo esc_attr( $color2 ); ?>;
}

.theme-btn.btn-one {
    background: #<?php echo esc_attr( $color2 ); ?>!important;
}

.feature-block-one .inner-box .icon-box{
    color: #<?php echo esc_attr( $color ); ?>;
}
.service-section .tab-btns li .icon-box{
    color: #<?php echo esc_attr( $color ); ?>!important;;
}

.elementor-12 .elementor-element.elementor-element-83bfbc2 > .elementor-widget-container{
    background: #<?php echo esc_attr( $color ); ?>!important;
}
.elementor-4958 .elementor-element.elementor-element-3b913282 .elementor-icon-list-icon i{
    color: #<?php echo esc_attr( $color ); ?>!important;
}

.elementor-12 .elementor-element.elementor-element-6f87cc3 .elementor-icon-list-icon i{
    color: #<?php echo esc_attr( $color ); ?>!important;
}

.news-block-one .inner-box .lower-content .post-info li i{
    color: #<?php echo esc_attr( $color ); ?>!important;
}

.news-block-one .inner-box .lower-content .category{
    color: #<?php echo esc_attr( $color ); ?>!important;
}
.banner-carousel .content-box .icon-list li i{
    color: #<?php echo esc_attr( $color ); ?>!important;
}
<?php 

$out = ob_get_clean();
$expires_offset = 31536000; // 1 year
header('Content-Type: text/css; charset=UTF-8');
header('Expires: ' . gmdate( "D, d M Y H:i:s", time() + $expires_offset ) . ' GMT');
header("Cache-Control: public, max-age=$expires_offset");
header('Vary: Accept-Encoding'); // Handle proxies
header('Content-Encoding: gzip');

echo gzencode($out);
exit;