<?php
$options = optcare_WSH()->option(); 
$allowed_html = wp_kses_allowed_html( 'post' );

//Logo Settings
$image_logo = $options->get( 'image_normal_logo' );
$logo_dimension = $options->get( 'normal_logo_dimension' );

$image_logo2 = $options->get( 'image_normal_logo2' );
$logo_dimension2 = $options->get( 'normal_logo_dimension2' );

$image_logo3 = $options->get( 'image_normal_logo3' );
$logo_dimension3 = $options->get( 'normal_logo_dimension3' );

$image_logo4 = $options->get( 'image_normal_logo4' );
$logo_dimension4 = $options->get( 'normal_logo_dimension4' );

$logo_type = '';
$logo_text = '';
$logo_typography = '';
?>


<!-- main header -->
<header class="main-header  header-style-two home-3">
	<?php if( $options->get( 'top_header_show_v3' ) ):?>
	<!-- header-top -->
	<div class="header-top">
		<div class="auto-container">
			<div class="top-inner">
				<div class="left-column">
					<ul class="info clearfix">
						<?php if( $options->get( 'email_v3' ) ):?>
						<li><i class="icon-1"></i><?php echo wp_kses( $options->get( 'email_title_v3'), $allowed_html ); ?> <a href="<?php echo wp_kses( $options->get( 'email_link_v3'), $allowed_html ); ?>"><?php echo wp_kses( $options->get( 'email_v3'), $allowed_html ); ?></a></li>
						<?php endif; ?>
						
						<?php if( $options->get( 'address_v3' ) ):?>
						<li><i class="icon-2"></i><?php echo wp_kses( $options->get( 'address_v3'), $allowed_html ); ?></li>
						<?php endif; ?>
						
						<?php if( $options->get( 'phone_v3' ) ):?>
						<li><i class="icon-3"></i><?php echo wp_kses( $options->get( 'phone_title_v3'), $allowed_html ); ?> <a href="<?php echo wp_kses( $options->get( 'phone_link_v3'), $allowed_html ); ?>"><?php echo wp_kses( $options->get( 'phone_v3'), $allowed_html ); ?></a></li>
						<?php endif; ?>
					</ul>
				</div>
				<div class="right-column">
					<?php if( $options->get( 'time_title_v3' ) ):?>
					<div class="schedule"><i class="icon-4"></i><?php echo wp_kses( $options->get( 'time_title_v3'), $allowed_html ); ?></div>
					<?php endif; ?>
					
					<?php if( $options->get( 'header_social_show_v3' ) ):?>

					
		<?php echo wp_kses( $options->get( 'social_profile'), $allowed_html ); ?>
					
					<?php endif; ?>
					
					
				</div>
			</div>
		</div>
	</div>
	<!-- header-lower -->
	<?php endif; ?>
	<div class="header-lower">
		<div class="auto-container">
			<div class="outer-box">
				<div class="logo-box">
					<figure class="logo">
					<?php echo optcare_logo( $logo_type, $image_logo, $logo_dimension, $logo_text, $logo_typography ); ?>
					</figure>
				</div>
				<div class="menu-area clearfix">
					<!--Mobile Navigation Toggler-->
					<div class="mobile-nav-toggler">
						<i class="icon-bar"></i>
						<i class="icon-bar"></i>
						<i class="icon-bar"></i>
					</div>
					<nav class="main-menu navbar-expand-md navbar-light">
						<div class="collapse navbar-collapse show clearfix" id="navbarSupportedContent">
							<ul class="navigation clearfix">
								<?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbarSupportedContent',
								'container_class'=>'collapse navbar-collapse sub-menu-bar',
								'menu_class'=>'nav navbar-nav',
								'fallback_cb'=>false, 
								'add_li_class'  => 'nav-item',
								'items_wrap' => '%3$s', 
								'container'=>false,
								'depth'=>'3',
								'walker'=> new Bootstrap_walker()  
								) ); ?>
							</ul>
						</div>
					</nav>
				</div>
				<div class="nav-right">
					<?php if( $options->get( 'header_search_show_v3' ) ):?>
					<div class="search-box-outer search-toggler">
						<i class="icon-5"></i>
					</div>
					<?php endif; ?>
					
					<?php if( $options->get( 'button_show_v3' ) ):?>
					<div class="btn-box">
						<a href="<?php echo wp_kses( $options->get( 'button_link_v3'), $allowed_html ); ?>" class="theme-btn btn-one"><?php echo wp_kses( $options->get( 'button_v3'), $allowed_html ); ?></a>
					</div>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</div>

	<!--sticky Header-->
	<div class="sticky-header">
		<div class="auto-container">
			<div class="outer-box">
				<div class="logo-box">
					<figure class="logo">
					<?php echo optcare_logo( $logo_type, $image_logo, $logo_dimension, $logo_text, $logo_typography ); ?>
					</figure>
				</div>
				<div class="menu-area clearfix">
					<nav class="main-menu clearfix">
						<!--Keep This Empty / Menu will come through Javascript-->
					</nav>
				</div>
				<div class="nav-right">
					<?php if( $options->get( 'header_search_show_v3' ) ):?>
					<div class="search-box-outer search-toggler">
						<i class="icon-5"></i>
					</div>
					<?php endif; ?>
					
					<?php if( $options->get( 'button_show_v3' ) ):?>
					<div class="btn-box">
						<a href="<?php echo wp_kses( $options->get( 'button_link_v3'), $allowed_html ); ?>" class="theme-btn btn-one"><?php echo wp_kses( $options->get( 'button_v3'), $allowed_html ); ?></a>
					</div>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</div>
</header>
<!-- main-header end -->

<!-- Mobile Menu  -->
<div class="mobile-menu">
	<div class="menu-backdrop"></div>
	<div class="close-btn"><i class="fas fa-times"></i></div>
	
	<nav class="menu-box">
		<div class="nav-logo">
			<?php echo optcare_logo( $logo_type, $image_logo2, $logo_dimension2, $logo_text, $logo_typography ); ?>
		</div>
		<div class="menu-outer"><!--Here Menu Will Come Automatically Via Javascript / Same Menu as in Header--></div>
		<div class="contact-info">
			<?php if( $options->get( 'address_title_v1')):?>
			<h4><?php echo wp_kses( $options->get( 'address_title_v1'), $allowed_html ); ?></h4>
			<?php endif; ?>
			<ul>
				<?php if( $options->get( 'address_v1')):?>
				<li><?php echo wp_kses( $options->get( 'address_v1'), $allowed_html ); ?></li>
				<?php endif; ?>
				<?php if( $options->get( 'phone_v1')):?>
				<li><a href="tel:<?php echo wp_kses( $options->get( 'phone_link_v1'), $allowed_html ); ?>"><?php echo wp_kses( $options->get( 'phone_v1'), $allowed_html ); ?></a></li>
				<?php endif; ?>
				<?php if( $options->get( 'email_v1')):?>
				<li><a href="<?php echo wp_kses( $options->get( 'email_link_v1'), $allowed_html ); ?>"><?php echo wp_kses( $options->get( 'email_v1'), $allowed_html ); ?></a></li>
				<?php endif; ?>
			</ul>
		</div>
		
		<?php
			$icons = $options->get( 'header_social_v1' );
			if ( ! empty( $icons ) ) :
		?>
		
		<div class="social-links">
			<ul class="clearfix">
			
				<?php
				foreach ( $icons as $h_icon ) :
				$header_social_icons = json_decode( urldecode( optcare_set( $h_icon, 'data' ) ) );
				if ( optcare_set( $header_social_icons, 'enable' ) == '' ) {
					continue;
				}
				$icon_class = explode( '-', optcare_set( $header_social_icons, 'icon' ) );
				?>
			
				<li><a href="<?php echo esc_url(optcare_set( $header_social_icons, 'url' )); ?>"><span class="fab <?php echo esc_attr( optcare_set( $header_social_icons, 'icon' ) ); ?>"></span></a></li>
				
				<?php endforeach; ?>
				
			</ul>
		</div>
		
		<?php endif; ?>
		
	</nav>
</div><!-- End Mobile Menu -->