<?php

namespace OPTCAREPLUGIN\Element;


class Elementor {
	static $widgets = array(
		'title',
		'title_left',
		'title_two',
		'title_two_left',
		'button_1',
		'h1_slider',
		'h1_feature_section',
		'h1_about_left',
		'h1_about_right',
		'h1_service_section',
		'h1_funfact_section',
		'h1_chooseus',
		'h1_testimonial',
		'h1_contact_top',
		'h1_contact_left',
		'h1_contact_right',
		'h1_team',
		'h1_cta',
		'h1_project',
		'h1_blog',
		'h2_slider',
		'h2_feature_section',
		'h2_about_right',
		'h2_about_left',
		'h2_service',
		'h2_chooseus',
		'h2_funfact_section',
		'h2_team',
		'h2_testimonial',
		'h2_process',
		'h2_skills_left',
		'h2_skills_right',
		'h2_project',
		'h2_news',
		'h3_slider',
		'h3_consultancy',
		'h3_service',
		'h3_chooseus',
		'h3_process',
		'h3_faq_left',
		'h3_faq_right',
		'h3_team',
		'h3_testimonial',
		'testimonial',
		'blog_grid',
		'footer_top',
		'footer_wi_one',
		'footer_wi_two',
		'footer_wi_three',
		'footer_bottom',
		'team_block',
		'team2',
		'team_details',
		'sidebar_categories',
		'service_one',
		'service_two',
		'service_three',
		'subscribe',
        'section_title',
		'contact',
		'error',
		'feature_one',
		'feature_two',
		'feature_three',
		'feature_four',
		'portfolios',
		'portfolios2',
		'service_element_2',
		'service_element_4',
        'team',
		'team_element_2',
		'team_element_4',
		'news_element_2',
		'contact_info',
		'contact2',
		'h3_blog',
		
		
		
	);

	static function init() {
		add_action( 'elementor/init', array( __CLASS__, 'loader' ) );
		add_action( 'elementor/elements/categories_registered', array( __CLASS__, 'register_cats' ) );
	}

	static function loader() {

		foreach ( self::$widgets as $widget ) {

			$file = OPTCAREPLUGIN_PLUGIN_PATH . '/elementor/' . $widget . '.php';
			if ( file_exists( $file ) ) {
				require_once $file;
			}

			add_action( 'elementor/widgets/widgets_registered', array( __CLASS__, 'register' ) );
		}
	}

	static function register( $elemntor ) {
		foreach ( self::$widgets as $widget ) {
			$class = '\\OPTCAREPLUGIN\\Element\\' . ucwords( $widget );

			if ( class_exists( $class ) ) {
				$elemntor->register_widget_type( new $class );
			}
		}
	}

	static function register_cats( $elements_manager ) {

		$elements_manager->add_category(
			'optcare',
			[
				'title' => esc_html__( 'Optcare', 'optcare' ),
				'icon'  => 'fa fa-plug',
			]
		);
		$elements_manager->add_category(
			'csslatepath',
			[
				'title' => esc_html__( 'Template Path', 'optcare' ),
				'icon'  => 'fa fa-plug',
			]
		);

	}
}

Elementor::init();