<?php
/**
 * Abstract class for register post type
 */

namespace OPTCAREPLUGIN\Inc\Post_Types;

use OPTCAREPLUGIN\Inc\Abstracts\Post_Type;

if ( ! function_exists( 'add_action' ) ) {
	exit;
}

class Testimonials extends Post_Type {

	protected $post_type = 'optcare_testimonials';

	protected $menu_icon = 'dashicons-portfolio';

	protected $taxonomies = array();

	public static $instance;

	public static function instance() {

		if ( is_null( self::$instance ) ) {
			self::$instance = new self();
		}

		return self::$instance;
	}
	public static function init() {

		self::instance()->menu_name = esc_html__( 'Testimonials', 'optcare' );
		self::instance()->singular  = esc_html__( 'Testimonial', 'optcare' );
		self::instance()->plural    = esc_html__( 'Testimonials', 'optcare' );
		self::instance()->supports  = array( 'title', 'editor', 'excerpt','thumbnail' );

		add_action( 'init', array( self::instance(), 'register' ) );
	}


}
